import { systemPerAccountInfoGetUserAccount } from '../services/api';

export default {
  namespace: 'user',

  state: {
    list: [],
    loading: false,
    currentUser: { name: '', perId: '' }
  },

  effects: {
    /* *fetch(_, { call, put }) {
      yield put({
        type: 'changeLoading',
        payload: true,
      });
      const response = yield call(queryUsers);
      yield put({
        type: 'save',
        payload: response,
      });
      yield put({
        type: 'changeLoading',
        payload: false,
      });
    }, */
    *fetchCurrent(action, { call, put }) {
      const response = yield call(systemPerAccountInfoGetUserAccount, {
        ...action.payload,
        method: 'GET'
      });

      yield put({
        type: 'saveCurrentUser',
        payload: response.data
      });
    }
  },

  reducers: {
    save(state, action) {
      return {
        ...state,
        list: action.payload
      };
    },
    changeLoading(state, action) {
      return {
        ...state,
        loading: action.payload
      };
    },
    saveCurrentUser(state, action) {
      return {
        ...state,
        currentUser: action.payload
      };
    },
    changeNotifyCount(state, action) {
      return {
        ...state,
        currentUser: {
          ...state.currentUser,
          notifyCount: action.payload
        }
      };
    }
  }
};
